FROM rust:1.42

ARG working_dir

RUN apt-get update -y
RUN apt-get upgrade -y

WORKDIR ${working_dir}

# TODO : remove once rocket available for stable rust version.
# https://github.com/SergioBenitez/Rocket/issues/19
RUN rustup install nightly
RUN rustup default nightly

# Environment specific setup
RUN apt-get install libpq-dev
RUN cargo install diesel_cli --no-default-features --features postgres
RUN cargo install cargo-watch cargo-tarpaulin

### Keep container running when up
CMD tail -f /dev/null